var NewList = function()
{
	var list = {};
	var debug = 0;
	
	// Page initialization
	list.initPage = function()
	{
		Buttons.addClickHandler('close', App.closeWindow);
		Buttons.addClickHandler('btnOk', list.createList);

	}
	
	list.createList = function()
	{
		var frm = document.forms['options'];
		
		if (Strings.trim(frm.name.value) == '')
		{
			Forms.showNotification(frm.name, 'You must enter a name');
			return;
		}
		
		var options = {};
		options.name = frm.name.value;
		options.description = frm.description.value;
		options.memberType = frm.memberType.value;
		options.rna = window.opener.Search.checkSelected(true);
		
		var url = '../FlaggedRna.servlet?ID='+App.getSessionId();
		url += '&cmd=CreateBioMaterialList';
		
		Wizard.showLoadingAnimation('Creating biomaterial list. Please wait...');
		Wizard.asyncJsonRequest(url, list.listCreated, 'POST', JSON.stringify(options));
	}
	
	list.listCreated = function(response)
	{
		var url = App.getRoot() + 'common/close_popup.jsp?ID='+App.getSessionId();
		if (response.messages.length > 0)
		{
			url += '&message='+encodeURIComponent(response.messages[0]);
		}
		location.href = url;
	}

	return list;
}();

Doc.onLoad(NewList.initPage);

